---
title: RTCOutboundRtpStreamStats.firCount
slug: Web/API/RTCOutboundRtpStreamStats/firCount
tags:
  - API
  - FIR
  - Frames
  - Media
  - Property
  - RTCOutboundRtpStreamStats
  - RTP
  - Reference
  - Skipped Frames
  - Statistics
  - Stats
  - Video
  - WebRTC
  - WebRTC API
  - firCount
---
<div>{{APIRef("WebRTC")}}</div>

<p><span class="seoSummary">The <strong><code>firCount</code></strong> property of the {{domxref("RTCOutboundRtpStreamStats")}} dictionary indicates the number of <strong>Full Intra Request</strong> (<strong>FIR</strong>) that the remote {{domxref("RTCRtpReceiver")}} has sent to this {{domxref("RTCRtpSender")}}.</span> A FIR packet is sent when the receiver finds that it has fallen behind and needs to skip frames in order to catch up; the sender should respond by sending a full frame instead of a delta frame.</p>

<p>Available only on video media.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>firCount</em> = <em>RTCOutboundRtpStreamStats</em>.firCount;</pre>

<h3 id="Value">Value</h3>

<p>An integer value indicating how many FIR packets have been received by the sender during the current connection. This statistic is available only for video tracks.</p>

<p>The receiver sends a FIR packet to the sender any time it falls bahind or loses packets and cannot decode the incoming stream any longer because of the lost data. This tells the sender to send a full frame instead of a delta frame, so that the receiver can catch up.</p>

<p>The higher <code>firCount</code> is, the more often frames were dropped, which may be an indication that the media's bit rate is too high for the available bandwidth, or that the receiving device is overburdened and is therefore unable to process the incoming data.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('WebRTC Statistics Identifiers', '#dom-RTCOutboundRtpStreamStats-fircount', 'RTCOutboundRtpStreamStats.firCount')}}</td>
   <td>{{Spec2('WebRTC Statistics Identifiers')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.RTCOutboundRtpStreamStats.firCount")}}</p>
